# DataExchange
TKSTEP
StepToGeom

# StepToGeom_MakeCylindricalSurface Class Reference

This class implements the mapping between class
CylindricalSurface from StepGeom which describes a
cylindrical_surface from Prostep and CylindricalSurface
from Geom
.

`#include <StepToGeom_MakeCylindricalSurface.hxx>`

Inheritance diagram for StepToGeom_MakeCylindricalSurface:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToGeom_MakeCylindricalSurface (const Handle(StepGeom_CylindricalSurface)&Surf)
Standard_EXPORT const Handle_Geom_CylindricalSurface & | Value () const

## Private Attributes

Handle_Geom_CylindricalSurface | theCylindricalSurface

## Constructor & Destructor Documentation

Standard_EXPORT StepToGeom_MakeCylindricalSurface::StepToGeom_MakeCylindricalSurface | ( | const Handle(StepGeom_CylindricalSurface)& | Surf | ) |

## Member Function Documentation

void StepToGeom_MakeCylindricalSurface::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeCylindricalSurface::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeCylindricalSurface::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepToGeom_Root.

Standard_EXPORT const Handle_Geom_CylindricalSurface& StepToGeom_MakeCylindricalSurface::Value | ( |  | ) | const

## Field Documentation

Handle_Geom_CylindricalSurface StepToGeom_MakeCylindricalSurface::theCylindricalSurface `[private]`

The documentation for this class was generated from the following file:

- StepToGeom_MakeCylindricalSurface.hxx